[AppleScript] 纯文本查看 复制代码
NoEcho
! -_RunScript (
Option Explicit
Call Main()
Sub Main()
Dim arrObjects, strObject
arrObjects = Rhino.AllObjects
If IsArray(arrObjects) Then
For Each strObject In arrObjects
If Rhino.IsText(strObject) Then
Rhino.SelectObject strObject
Dim txtText, txtPt
txtText = Rhino.TextObjectText(strObject)
txtPt = Rhino.TextObjectPoint(strObject)
Rhino.AddTextDot txtText, txtPt
Rhino.DeleteObject(strObject)
End If
Next
End If
End Sub
)
[AppleScript] 纯文本查看 复制代码
NoEcho
! -_RunScript (
Option Explicit
Call Main()
Sub Main()
Dim arrObjects, strObject
arrObjects = Rhino.GetObjects("选择要转换成注解点的TEXT")
If IsArray(arrObjects) Then
For Each strObject In arrObjects
If Rhino.IsText(strObject) Then
Rhino.SelectObject strObject
Dim txtText, txtPt
txtText = Rhino.TextObjectText(strObject)
txtPt = Rhino.TextObjectPoint(strObject)
Rhino.AddTextDot txtText, txtPt
Rhino.DeleteObject(strObject)
End If
Next
End If
End Sub
)